c
c     Second Edition
c     Numerical Analysis:
c     The Mathematics of Scientific Computing
c     D.R. Kincaid & E.W. Cheney
c     Brooks/Cole Publ., 1996
c     ISBN 0-534-33892-5
c     COPYRIGHT (c) 1996
c
c     Section 3.4
c
c     Example of Contractive Mapping Theorem
c
c
c     file: ex3s34.f 
c
      double precision x
      data x,M/4.0d0,20/
c
      print * 
      print *,' Contractive Mapping Example'
      print *,' Section 3.4, Kincaid-Cheney'
      print *
c
      print *,'     k            x'
      do 2 k=1,M
         x = 4.0d0 + (1.0d0/3.0d0)*sin(2.0d0*x)
         print 3,k,x
 2    continue
c
 3    format (3x,i3,2x,d22.15)
      stop
      end
